| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CS::ImportKit::Container::Model Class Reference

A model. More...

`#include <cstool/importkit.h>`

List of all members.

## Public Member Functions
const Mesh & | GetMesh (size_t index) const
| Get a mesh.
size_t | GetMeshCount () const
| Get number of meshes in this model.
const wchar_t * | GetName () const
| Return the name of the model.
## Protected Member Functions
| Model ()
## Protected Attributes
ImportKitImpl::GluedModel * | glueModel
csArray< Mesh > | meshes
wchar_t * | name
## Friends
class | Container
class | ImportKitImpl::Glue
## Classes
class | Mesh
| Model mesh, contains actual geometry. More...

## Detailed Description

A model.

A model contains of multiple meshes, each containing vertices, triangles, and a single material.

Remarks:
  All resources obtainable (models, mesh, materials... but also geometry and names) are generally valid as long as the container exists.

Definition at line 67 of file importkit.h.

## Member Function Documentation

const Mesh& CS::ImportKit::Container::Model::GetMesh | ( | size_t | index | ) | const`[inline]`

Get a mesh.

Definition at line 123 of file importkit.h.

size_t CS::ImportKit::Container::Model::GetMeshCount | ( |  | ) | const`[inline]`

Get number of meshes in this model.

Definition at line 121 of file importkit.h.

const wchar_t* CS::ImportKit::Container::Model::GetName | ( |  | ) | const`[inline]`

Return the name of the model.

Definition at line 71 of file importkit.h.

The documentation for this class was generated from the following file:

- cstool/importkit.h